# Uses of Class
javax.management.modelmbean.ModelMBeanAttributeInfo

Packages that use ModelMBeanAttributeInfo
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ModelMBeanAttributeInfo in javax.management.modelmbean

Methods in javax.management.modelmbean that return ModelMBeanAttributeInfo
Modifier and Type
Method
Description
`ModelMBeanAttributeInfo`
ModelMBeanInfo.`getAttribute(String inName)`
Returns a ModelMBeanAttributeInfo requested by name.
`ModelMBeanAttributeInfo`
ModelMBeanInfoSupport.`getAttribute(String inName)`
Constructors in javax.management.modelmbean with parameters of type ModelMBeanAttributeInfo
Modifier
Constructor
Description
``
`ModelMBeanAttributeInfo(ModelMBeanAttributeInfo inInfo)`
Constructs a new ModelMBeanAttributeInfo object from this ModelMBeanAttributeInfo Object.
``
`ModelMBeanInfoSupport(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications)`
Creates a ModelMBeanInfoSupport with the provided information, but the descriptor is a default.
``
`ModelMBeanInfoSupport(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications, Descriptor mbeandescriptor)`
Creates a ModelMBeanInfoSupport with the provided information and the descriptor given in parameter.